<?php

namespace App\Http\Controllers\Public;

use App\Http\Controllers\Controller;
use App\Models\LegalMention;

class LegalMentionsController extends Controller
{
    public function __invoke()
    {
        $activeLegalMentionsText = LegalMention::where('active', true)->first();

        if (! $activeLegalMentionsText) {
            abort(404);
        }
        $activeLegalMentionsText = $activeLegalMentionsText->contentTransKey->getTranslation();

        return view('public.legal-mentions', compact('activeLegalMentionsText'));
    }
}
