<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class UserAgentMetadataRequest extends FormRequest
{
    public function rules(): array
    {
        return [
            'user_agent_id' => ['required', 'exists:user_agents'],
            'is_bot' => ['boolean'],
        ];
    }

    public function authorize(): bool
    {
        return true;
    }
}
