<?php

return [
    'navbar' => [
        'title' => 'Menu',
        'items' => [
            [
                'title' => 'Accueil',
                'route' => 'admin.home',
                'icon' => 'house',
            ],
            [
                'title' => 'Prestations',
                'route' => 'admin.prestations.index',
                'icon' => 'hand-holding-dollar',
            ],
            [
                'title' => 'Créations',
                'route' => 'admin.creations.index',
                'icon' => 'paintbrush-pencil',
            ],
            [
                'title' => 'Catégories',
                'route' => 'admin.categories.index',
                'icon' => 'list',
            ],
            [
                'title' => 'Liens réseaux sociaux',
                'route' => 'admin.social-media-links.index',
                'icon' => 'link',
            ],
            [
                'title' => 'Évènements',
                'route' => 'admin.events.index',
                'icon' => 'calendar',
            ],
            [
                'title' => 'À propos',
                'route' => 'admin.about.index',
                'icon' => 'info',
            ],
            [
                'title' => 'Conditions générales de vente',
                'route' => 'admin.terms.index',
                'icon' => 'file-contract',
            ],
            [
                'title' => 'Mentions légales',
                'route' => 'admin.legal_mentions.index',
                'icon' => 'file-contract',
            ],
        ],
    ],
];
