<?php

namespace Database\Factories;

use App\Models\AboutMeSection;
use App\Models\TranslationKey;
use App\Models\UploadedPicture;
use Illuminate\Database\Eloquent\Factories\Factory;

class AboutMeSectionFactory extends Factory
{
    protected $model = AboutMeSection::class;

    public function definition(): array
    {
        return [
            'active' => $this->faker->boolean(),

            'attract_desc_trans_key_id' => TranslationKey::factory(),
            'content_trans_key_id' => TranslationKey::factory(),
            'uploaded_picture_id' => UploadedPicture::factory(),
        ];
    }
}
