<?php

namespace Database\Factories;

use App\Models\SocialMediaLink;
use Illuminate\Database\Eloquent\Factories\Factory;

class SocialMediaLinkFactory extends Factory
{
    protected $model = SocialMediaLink::class;

    public function definition(): array
    {
        return [
            'icon_name' => $this->faker->name(),
            'name' => $this->faker->name(),
            'url' => $this->faker->url(),
        ];
    }
}
