<?php

namespace Database\Factories;

use App\Models\TermsSection;
use App\Models\TranslationKey;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class TermsSectionFactory extends Factory
{
    protected $model = TermsSection::class;

    public function definition(): array
    {
        return [
            'active' => $this->faker->boolean(),
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),

            'content_translation_key_id' => TranslationKey::factory(),
        ];
    }
}
