<?php

use App\Models\TranslationKey;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('events', function (Blueprint $table) {
            $table->id();
            $table->string('slug');
            $table->foreignIdFor(TranslationKey::class, 'name_translation_key_id');
            $table->date('date_start');
            $table->date('date_end');
            $table->string('city');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('events');
    }
};
