<?php

use App\Models\TranslationKey;
use App\Models\UploadedPicture;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('about_me_sections', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(TranslationKey::class, 'attract_desc_trans_key_id');
            $table->foreignIdFor(TranslationKey::class, 'content_trans_key_id');
            $table->foreignIdFor(UploadedPicture::class);
            $table->boolean('active');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('about_me_sections');
    }
};
