<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('creations', function (Blueprint $table) {
            $table->renameColumn('completion_date', 'completion_date_start');
            $table->year('completion_date_end')->nullable();
        });
    }

    public function down(): void
    {
        Schema::table('creations', function (Blueprint $table) {
            $table->renameColumn('completion_date_start', 'completion_date');
            $table->dropColumn('completion_date_end');
        });
    }
};
