import './bootstrap';
import {Alert, Modal} from 'bootstrap';
import * as Sentry from "@sentry/browser";

window.BsModal = Modal;
window.BsAlert = Alert;

Sentry.init({
    dsn: "https://848ba232715c08301117ec56d7a7700d@o4508528186032128.ingest.de.sentry.io/4508528189964368",
    integrations: [
        Sentry.replayIntegration(),
    ],
    // Session Replay
    replaysSessionSampleRate: 0.1, // This sets the sample rate at 10%. You may want to change it to 100% while in development and then sample at a lower rate in production.
    replaysOnErrorSampleRate: 1.0, // If you're not already sampling the entire session, change the sample rate to 100% when sampling sessions where errors occur.
});