import {createApp} from 'vue'
import PortfolioCard from "../../components/public/PortfolioCard.vue";
import PortfolioContainer from "../../components/public/PortfolioContainer.vue";
import Button from "../../components/public/Button.vue";
import Badge from "../../components/public/Badge.vue";

const app = createApp();

app.component('portfolio-container', PortfolioContainer);
app.component('portfolio-card', PortfolioCard);
app.component('Badge', Badge);
app.component('Button', Button);

app.mount('#portfolio-section')