@extends('layouts.auth')

@section('content')
    <x-font-awesome icon="circle-user" type="regular" class="auth-icon"/>
    <h1 class="auth-title">
        Inscription
    </h1>
    <div class="auth-subtext">
        Bienvenue chez vous ! Créez un compte pour finaliser l'installation de votre site internet.
    </div>

    <form method="POST" action="{{ route('register') }}" class="auth-form" data-form-type="register">
        @csrf
        <x-bs.input name="name" type="text" label="Nom d'utilisateur" data-form-type="username"
                    value="{{ old('name') }}" required/>
        <x-bs.input name="email" type="email" label="Adresse e-mail" data-form-type="email"
                    value="{{ old('email') }}" required/>
        <x-bs.input name="password" type="password" label="Mot de passe" data-form-type="password"
                    value="{{ old('password') }}" required/>
        <x-bs.input name="password_confirmation" type="password" label="Confirmation du mot de passe"
                    value="{{ old('password_confirmation') }}" data-form-type="password,confirmation" required/>

        <x-bs.button block type="submit">S'inscrire</x-bs.button>
    </form>
@endsection
