@props([
    'id' => null,
    'name' => null,
    'value' => null,
    'label' => null,
])

@php
    if($id === null) {
        $id = $name . '-editor';
    }
    $targetId = $id . '-target';
@endphp

<label for="{{ $targetId }}" class="form-label">{{ $label }}</label>
<div {{ $attributes->class(['markdown-editor', 'bg-white', 'rounded']) }}
     data-target="{{ $targetId }}">
    <div id="{{ $id }}"></div>
</div>
<input id="{{ $targetId }}" type="hidden" name="{{ $name }}" value="{{ $value }}">

@pushonce('scripts')
    @vite('resources/js/components/admin/markdownEditor.js')
@endpushonce