@props([
    'id',
    'name',
    'label',
    'checked' => false,
    'disabled' => false,
    'switch' => false,
    'inline' => false,
])

@php
    $id = $id ?? Str::random(8);
@endphp

<div {{ $attributes->class(['form-check', 'form-switch' => $switch, 'form-check-inline' => $inline]) }}>
    <input class="form-check-input"
           type="checkbox"
           id="{{ $id }}"
           name="{{ $name }}"
           @if($checked) checked @endif
           @if($disabled) disabled @endif>
    <label class="form-check-label" for="{{ $id }}">
        {{ $label }}
    </label>
</div>