@props([
    'title' => 'Title',
    'description' => '',
])

<div {{ $attributes->class(['relative flex flex-col max-w-2xl gap-3']) }}>
    <x-public.star
            class="absolute hidden xl:block left-[-96px] top-[-34px] origin-top-left rotate-[-21deg] w-16"/>
    <x-public.star
            class="absolute hidden xl:block left-[680px] top-[140px] origin-top-left rotate-[-12deg] w-12"/>
    <h1 class="text-5xl xl:text-6xl">
        {{ $title }}
    </h1>
    <div class="text-2xl">
        {{ $description }}
    </div>
</div>
