@extends('layouts.public', ['title' => __('generic.terms')])

@section('content')
    <x-public.navbar class="container mx-auto px-4"/>

    <div class="container mx-auto px-4 py-24 flex flex-col gap-16">
        <x-public.generic-page-header title="{{ __('generic.terms') }}"/>
        <div>
            <x-markdown class="markdown">
                {{ $activeTermsText }}
            </x-markdown>
        </div>
    </div>

    <x-public.footer/>
@endsection