<?php

namespace App\Http\Middleware;

use App\Models\User;
use Closure;
use Illuminate\Http\Request;

class RedirectIfUserExistsMiddleware
{
    public function handle(Request $request, Closure $next)
    {
        if (User::count() > 0) {
            return redirect('/login');
        }

        return $next($request);
    }
}
