<?php

namespace Database\Factories;

use App\Models\Creation;
use App\Models\CreationPicture;
use App\Models\TranslationKey;
use App\Models\UploadedPicture;
use Illuminate\Database\Eloquent\Factories\Factory;

class CreationPictureFactory extends Factory
{
    protected $model = CreationPicture::class;

    public function definition(): array
    {
        return [
            'creation_id' => Creation::factory(),
            'uploaded_picture_id' => UploadedPicture::factory(),
            'name_translation_key_id' => TranslationKey::factory(),
        ];
    }
}
