<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('uploaded_pictures', function (Blueprint $table) {
            $table->id();
            $table->string('path_original');
            $table->string('path_thumbnail')->nullable();
            $table->string('path_medium')->nullable();
            $table->string('path_big')->nullable();
            $table->string('path_fullsize')->nullable();
            $table->string('ratio');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('uploaded_pictures');
    }
};
