<?php

use App\Models\Creation;
use App\Models\UploadedPicture;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('creation_pictures', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(Creation::class, 'creation_id');
            $table->foreignIdFor(UploadedPicture::class, 'uploaded_picture_id');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('creation_pictures');
    }
};
