@extends('layouts.auth')

@section('content')
    <x-font-awesome icon="circle-user" type="regular" class="auth-icon"/>
    <h1 class="auth-title">
        Connexion
    </h1>
    <div class="auth-subtext">
        Connectez-vous pour accéder à l'administration.
    </div>

    <form method="POST" action="{{ route('login') }}" class="auth-form" data-form-type="login">
        @csrf
        <x-bs.input name="email" type="email" label="Adresse e-mail" data-form-type="email" required/>
        <x-bs.input name="password" type="password" label="Mot de passe" data-form-type="password" required/>

        <x-bs.checkbox name="remember" label="Rester connecté"/>
        <x-bs.button block type="submit">Se connecter</x-bs.button>
        <a href="{{ route('password.request') }}" class="auth-link">
            Mot de passe oublié ?
        </a>
    </form>
@endsection
