@extends('layouts.auth')

@section('content')
    <x-font-awesome icon="key" type="regular" class="auth-icon"/>
    <h1 class="auth-title">
        Mot de passe oublié
    </h1>
    <div class="auth-subtext">
        Entrez votre adresse e-mail pour réinitialiser votre mot de passe.
    </div>

    <form method="post" action="{{ route('password.request') }}" class="auth-form">
        @csrf
        <x-bs.input name="email" type="email" label="Adresse e-mail" data-form-type="email" required="true"
                    error_message="Veuillez entrer une adresse e-mail valide."/>

        <x-bs.button block type="submit">
            Réinitialiser le mot de passe
        </x-bs.button>
        <a href="{{ route('login') }}" class="auth-link">
            Retour à la page de connexion
        </a>
    </form>
@endsection
