@props([
    'id',
    'label',
    'name',
    'checked' => false,
    'disabled' => false,
    'inline' => false,
])

@php
    $id = $id ?? Str::random(8);
@endphp

<div class="form-check @if($inline) form-check-inline @endif">
    <input class="form-check-input"
           type="radio"
           name="{{ $name }}"
           id="{{ $id }}"
           @if($checked) checked @endif
           @if($disabled) disabled @endif
            {{ $attributes }}>
    <label class="form-check-label" for="{{ $id }}">
        {{ $label }}
    </label>
</div>