<div {{ $attributes->merge(['class' => 'grid grid-cols-1 md:grid-cols-'.count($columns).' lg:grid-cols-3 gap-'.$gap]) }}>
    @foreach($columns as $column)
        <div class="flex flex-col gap-{{ $gap }} justify-center">
            @foreach($column as $creation)
                <x-public.creation-home-poster
                        :url="$withLinks ? route('portfolio.show', ['slug' => $creation->slug]) : null"
                        :img-src="$creation->coverUploadedPicture->getBigSizeUrl()"
                />
            @endforeach
        </div>
    @endforeach
</div>