<div id="portfolio-section" class="container mx-auto px-4 grid grid-cols-1 md:grid-cols-2 lg:grid-cols-4 gap-8 py-12">
    @foreach($creations as $creation)
        <a class="relative flex shrink-0 rounded-lg shadow-lg overflow-hidden" href="{{ route('portfolio.show', $creation->slug) }}">
            <div>
                <img src="{{ $creation->coverUploadedPicture->getMediumSizeUrl() }}"
                     alt="{{ $creation->nameTranslationKey->getTranslation() }} cover" class="w-full">
            </div>
            <div class="opacity-0 hover:opacity-100 absolute flex flex-col justify-end top-0 bottom-0 left-0 right-0 p-4 hover:backdrop-blur-sm hover:backdrop-brightness-50">
                <h3 class="text-lg font-semibold text-white">
                    {{ $creation->nameTranslationKey->getTranslation() }}
                </h3>
                <p class="text-sm text-white">
                    {{ $creation->shortDescriptionTranslationKey->getTranslation() }}
                </p>
            </div>
        </a>
    @endforeach
</div>