@extends('layouts.public', ['title' => 'Maintenance', 'description' => 'Site en construction...'])

@section('content')
    <div class="inline-flex w-full min-h-screen flex-col justify-center items-center gap-2.5"
         style="background-image: url('{{Vite::asset("resources/images/public/hero-grid.avif")}}'); background-repeat: repeat-x;">
        <div class="flex flex-col mx-auto px-4 justify-start items-start gap-8">
            <x-public.rann-logo height="6rem" role="image"/>
            <div class="flex flex-col gap-3">
                <h1 class="text-5xl xl:text-6xl">Site en construction...</h1>
                <div class="text-2xl">
                    Désolé, ce site internet n’est pas encore terminé. ;)
                    <br/>Reviens plus tard, il y aura plein de trucs trop cool !
                </div>
            </div>
            <x-public.button tag="a" href="{{ route('login') }}" size="medium">Se connecter</x-public.button>
        </div>
    </div>
@endsection