<?php

use Illuminate\Foundation\Inspiring;
use Illuminate\Support\Facades\Artisan;

Artisan::command('inspire', function () {
    $this->comment(Inspiring::quote());
})->purpose('Display an inspiring quote')->hourly();

Schedule::command('save:requests')->everyMinute()->sentryMonitor();
Schedule::command('process:user-agents')->hourly()->sentryMonitor();
Schedule::command('process:ip-adresses')->everyFiveMinutes()->sentryMonitor();
Schedule::command('flush:unused-uploaded-pictures')->daily()->sentryMonitor();

Schedule::command('backup:clean --disable-notifications')->daily()->at('01:00');
Schedule::command('backup:run --disable-notifications')->daily()->at('01:30');
